[![NPM](https://img.shields.io/npm/v/react-svg-country-flags.svg)](https://www.npmjs.com/package/react-svg-country-flags)
![Github Actions](https://github.com/Ayoup1/react-svg-country-flags/actions/workflows/main.yml/badge.svg)

# react-svg-world-flags

easy-to-use component flags of the countries for react.

On this project we used flags icons ***designed By*** [Luc Chaissac](https://www.figma.com/@lucchaissac) 

[Figma project](https://www.figma.com/community/file/934383086747321539) (Consistent, minimalist style.)

## Installation

npm:
```
npm install react-svg-world-flags
```
yarn:
```
yarn add react-svg-world-flags
```

## Usage

```javascript
import Flag from 'react-svg-world-flags'

<Flag country='MA' />
```

`country` is the [two letter ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code.

You can also pass an className as a prop

```javascript
<Flag country='MA' className='w-12' />

// <svg width="21" height="15" viewBox="0 0 21 15" fill="none" xmlns="http://www.w3.org/2000/svg"> ...
```


## Credits
If you liked this project please follow and support [Luc Chaissac](https://www.figma.com/@lucchaissac)

